#ifndef _2048_H_
#define _2048_H_

#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#define EMPTY   0
#define LEFT    1
#define RIGHT   2
#define UP      3
#define DOWN    4
#define LOST    7
#define WON     8
#define NEITHER 9



void initialize(void);
void new_block(void);

void move_left(int, int[SIZE]);
void reflect(int[SIZE][SIZE]);
void rotate(int[SIZE][SIZE], int);
void move(int, int[SIZE][SIZE]);
int test(int, int[SIZE][SIZE]);

void inc(void);

int evaluate(void);
int get_value(int, int);

#endif
